version: "3.9"

services:
  bta-server:
    image: registry.ciomek.pl/bta-server
    container_name: bta-server
    restart: unless-stopped
    ports:
      - "25565:25565"
    entrypoint: ["/server/entrypoint.sh"]
    environment:
      - JAVA_MAX_MEM=8G
      - JAVA_MIN_MEM=1G
    volumes:
      - bta-server-world:/server/world
    networks:
      - bta-network
    tty: true
    stdin_open: true


volumes:
  bta-server-world:

networks:
  bta-network:
    driver: bridge
